Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.Header

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

Enclosing class:
  MetaMethodIndex

public static class MetaMethodIndex.Header extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `clsHashCode31`
  `MetaMethodIndex.Entry`
  `head`
  `Class`
  `subclass`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Header(Class cls)`
  `Header(Class cls, Class subclass)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### head

    public MetaMethodIndex.Entry head

  - ### subclass

    public Class subclass

  - ### clsHashCode31

    public int clsHashCode31

- ## Constructor Details

  - ### Header

    public Header(Class cls)

  - ### Header

    public Header(Class cls, Class subclass)